Managed Service for MySQL API, REST: BackupRetentionPolicy.Create
Add a new retention policy.
HTTP request
POST https://mdb.api.yandexcloud.kz/managed-mysql/v1/clusters/{clusterId}/retention_policies
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the MySQL cluster. The maximum string length in characters is 50. |
Body parameters
{
"cron": {
"dayOfMonth": "string",
"month": "string",
"dayOfWeek": "string"
},
"retainForDays": "string",
"description": "string",
"policyName": "string"
}
|
Field |
Description |
|
cron |
CronTab schedule. |
|
retainForDays |
string (int64) Retention duration. |
|
description |
string Policy description. |
|
policyName |
string Required field. Required. Policy name. |
CronTab
Message to describe a crontab schedule.
|
Field |
Description |
|
dayOfMonth |
string Day of month in cron format. Valid values: 1-31, , ranges (1-15), steps (/2, 1-15/3), lists (1,15,28). |
|
month |
string Month in cron format. Valid values: 1-12, , ranges (1-6), steps (/3), lists (1,6,12). |
|
dayOfWeek |
string Day of week in cron format. Valid values: 0-7 (0 and 7 both mean Sunday), , ranges (1-5), steps (0-6/2), lists (1,3,5). |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |